Bug 160860 - [ufs] Random UFS root filesystem corruption with SU+J [regression]
Summary: [ufs] Random UFS root filesystem corruption with SU+J [regression]
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-20 22:50 UTC by Nigel Hixson
Modified: 2019-06-13 01:53 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nigel Hixson 2011-09-20 22:50:15 UTC
Kernel panic during a php install today with 

panic: ffs_valloc: dup alloc

The machine rebooted and could initialize the root partition but quickly panicked again (immedately after a boot message - something about clearing /tmp).

Rebooted in single user mode and ran fsck with journal.  Rebooted and was immediately greeted by the same panic.

Rebooted in single user mode and ran fsck WITHOUT journal.  Various UFS corruptions involving incorrect superblock data and unreferenced files owned by root were repaired and I rebooted to a working system.


$ dmesg|more
Copyright (c) 1992-2011 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
        The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 9.0-BETA2 #0: Wed Aug 31 18:07:44 UTC 2011
    root@farrell.cse.buffalo.edu:/usr/obj/usr/src/sys/GENERIC amd64
WARNING: WITNESS option enabled, expect reduced performance.
CPU: Intel(R) Core(TM) i3 CPU         540  @ 3.07GHz (3066.73-MHz K8-class CPU)
  Origin = "GenuineIntel"  Id = 0x20655  Family = 6  Model = 25  Stepping = 5
  Features=0xbfebfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,CLFLUSH,DTS,ACPI,MMX,FXSR,SSE,SSE2,SS,HTT,TM,PBE>
  Features2=0x9ae3bd<SSE3,DTES64,MON,DS_CPL,VMX,EST,TM2,SSSE3,CX16,xTPR,PDCM,PCID,SSE4.1,SSE4.2,POPCNT>
  AMD Features=0x28100800<SYSCALL,NX,RDTSCP,LM>
  AMD Features2=0x1<LAHF>
  TSC: P-state invariant, performance statistics
real memory  = 8589934592 (8192 MB)
avail memory = 8220389376 (7839 MB)
Event timer "LAPIC" quality 600
ACPI APIC Table: <052710 APIC1450>
FreeBSD/SMP: Multiprocessor System Detected: 4 CPUs
FreeBSD/SMP: 1 package(s) x 2 core(s) x 2 SMT threads
 cpu0 (BSP): APIC ID:  0
 cpu1 (AP): APIC ID:  1
 cpu2 (AP): APIC ID:  4
 cpu3 (AP): APIC ID:  5
ioapic0: Changing APIC ID to 6
ioapic0 <Version 2.0> irqs 0-23 on motherboard
kbd1 at kbdmux0
acpi0: <SMCI > on motherboard
acpi0: Overriding SCI from IRQ 9 to IRQ 20
acpi0: Power Button (fixed)
Timecounter "ACPI-fast" frequency 3579545 Hz quality 900
acpi_timer0: <24-bit timer at 3.579545MHz> port 0x808-0x80b on acpi0
cpu0: <ACPI CPU> on acpi0
ACPI Warning: Incorrect checksum in table [OEMB] - 0xA0, should be 0x9D (20110527/tbutils-282)
cpu1: <ACPI CPU> on acpi0
cpu2: <ACPI CPU> on acpi0
cpu3: <ACPI CPU> on acpi0
pcib0: <ACPI Host-PCI bridge> port 0xcf8-0xcff on acpi0
pci0: <ACPI PCI bus> on pcib0
pcib1: <ACPI PCI-PCI bridge> irq 16 at device 1.0 on pci0
pci1: <ACPI PCI bus> on pcib1
pcib2: <PCI-PCI bridge> irq 16 at device 0.0 on pci1
pci2: <PCI bus> on pcib2
siis0: <SiI3124 SATA controller> port 0xac00-0xac0f mem 0xfb277c00-0xfb277c7f,0xfb278000-0xfb27ffff irq 16 at device 4.0 on pci2
siisch0: <SIIS channel> at channel 0 on siis0
siisch1: <SIIS channel> at channel 1 on siis0
siisch2: <SIIS channel> at channel 2 on siis0
siisch3: <SIIS channel> at channel 3 on siis0
pcib3: <ACPI PCI-PCI bridge> irq 16 at device 6.0 on pci0
pci3: <ACPI PCI bus> on pcib3
pcib4: <PCI-PCI bridge> irq 16 at device 0.0 on pci3
pci4: <PCI bus> on pcib4
siis1: <SiI3124 SATA controller> port 0xbc00-0xbc0f mem 0xfb377c00-0xfb377c7f,0xfb378000-0xfb37ffff irq 16 at device 4.0 on pci4
siisch4: <SIIS channel> at channel 0 on siis1
siisch5: <SIIS channel> at channel 1 on siis1
siisch6: <SIIS channel> at channel 2 on siis1
siisch7: <SIIS channel> at channel 3 on siis1
ehci0: <Intel PCH USB 2.0 controller USB-B> mem 0xfb1fc000-0xfb1fc3ff irq 21 at device 26.0 on pci0
usbus0: EHCI version 1.0
usbus0: <Intel PCH USB 2.0 controller USB-B> on ehci0
pcib5: <ACPI PCI-PCI bridge> irq 17 at device 28.0 on pci0
pci5: <ACPI PCI bus> on pcib5
pcib6: <PCI-PCI bridge> irq 16 at device 0.0 on pci5
pci6: <PCI bus> on pcib6
siis2: <SiI3124 SATA controller> port 0xcc00-0xcc0f mem 0xfb477c00-0xfb477c7f,0xfb478000-0xfb47ffff irq 16 at device 4.0 on pci6
siisch8: <SIIS channel> at channel 0 on siis2
siisch9: <SIIS channel> at channel 1 on siis2
siisch10: <SIIS channel> at channel 2 on siis2
siisch11: <SIIS channel> at channel 3 on siis2
pcib7: <ACPI PCI-PCI bridge> irq 17 at device 28.4 on pci0
pci7: <ACPI PCI bus> on pcib7
em0: <Intel(R) PRO/1000 Network Connection 7.2.3> port 0xdc00-0xdc1f mem 0xfb5e0000-0xfb5fffff,0xfb5dc000-0xfb5dffff irq 16 at device 0.0 on pci7
em0: Using MSIX interrupts with 3 vectors
em0: Ethernet address: 00:25:90:32:c0:b6
pcib8: <ACPI PCI-PCI bridge> irq 16 at device 28.5 on pci0
pci8: <ACPI PCI bus> on pcib8
em1: <Intel(R) PRO/1000 Network Connection 7.2.3> port 0xec00-0xec1f mem 0xfb6e0000-0xfb6fffff,0xfb6dc000-0xfb6dffff irq 17 at device 0.0 on pci8
em1: Using MSIX interrupts with 3 vectors
em1: Ethernet address: 00:25:90:32:c0:b7
ehci1: <Intel PCH USB 2.0 controller USB-A> mem 0xfb1fa000-0xfb1fa3ff irq 23 at device 29.0 on pci0
usbus1: EHCI version 1.0
usbus1: <Intel PCH USB 2.0 controller USB-A> on ehci1
pcib9: <ACPI PCI-PCI bridge> at device 30.0 on pci0
pci9: <ACPI PCI bus> on pcib9
vgapci0: <VGA-compatible display> mem 0xfa000000-0xfaffffff,0xfb7fc000-0xfb7fffff,0xfb800000-0xfbffffff irq 23 at device 3.0 on pci9
isab0: <PCI-ISA bridge> at device 31.0 on pci0
isa0: <ISA bus> on isab0
ahci0: <Intel 5 Series/3400 Series AHCI SATA controller> port 0x9400-0x9407,0x9c00-0x9c03,0x9880-0x9887,0x9800-0x9803,0x9480-0x949f mem 0xfb1f8000-0xfb1f87ff irq 19 at device 31.2 on pci0
ahci0: AHCI v1.30 with 6 3Gbps ports, Port Multiplier not supported
ahcich0: <AHCI channel> at channel 0 on ahci0
ahcich1: <AHCI channel> at channel 1 on ahci0
ahcich2: <AHCI channel> at channel 2 on ahci0
ahcich3: <AHCI channel> at channel 3 on ahci0
ahcich4: <AHCI channel> at channel 4 on ahci0
ahcich5: <AHCI channel> at channel 5 on ahci0
pci0: <serial bus, SMBus> at device 31.3 (no driver attached)
acpi_button0: <Power Button> on acpi0
attimer0: <AT timer> port 0x40-0x43 irq 0 on acpi0
Timecounter "i8254" frequency 1193182 Hz quality 0
Event timer "i8254" frequency 1193182 Hz quality 100
atrtc0: <AT realtime clock> port 0x70-0x71 irq 8 on acpi0
Event timer "RTC" frequency 32768 Hz quality 0
uart0: <16550 or compatible> port 0x3f8-0x3ff irq 4 flags 0x10 on acpi0
uart1: <16550 or compatible> port 0x2f8-0x2ff irq 3 on acpi0
uart2: <16550 or compatible> port 0x3e8-0x3ef irq 5 on acpi0
atkbdc0: <Keyboard controller (i8042)> port 0x60,0x64 irq 1 on acpi0
atkbd0: <AT Keyboard> irq 1 on atkbdc0
kbd0 at atkbd0
atkbd0: [GIANT-LOCKED]
hpet0: <High Precision Event Timer> iomem 0xfed00000-0xfed003ff on acpi0
Timecounter "HPET" frequency 14318180 Hz quality 950
Event timer "HPET" frequency 14318180 Hz quality 550
Event timer "HPET1" frequency 14318180 Hz quality 440
Event timer "HPET2" frequency 14318180 Hz quality 440
Event timer "HPET3" frequency 14318180 Hz quality 440
Event timer "HPET4" frequency 14318180 Hz quality 440
sc0: <System console> at flags 0x100 on isa0
sc0: VGA <16 virtual consoles, flags=0x300>
vga0: <Generic ISA VGA> at port 0x3c0-0x3df iomem 0xa0000-0xbffff on isa0
ppc0: cannot reserve I/O port range
est0: <Enhanced SpeedStep Frequency Control> on cpu0
p4tcc0: <CPU Frequency Thermal Control> on cpu0
est1: <Enhanced SpeedStep Frequency Control> on cpu1
p4tcc1: <CPU Frequency Thermal Control> on cpu1
est2: <Enhanced SpeedStep Frequency Control> on cpu2
p4tcc2: <CPU Frequency Thermal Control> on cpu2
est3: <Enhanced SpeedStep Frequency Control> on cpu3
p4tcc3: <CPU Frequency Thermal Control> on cpu3
Timecounters tick every 1.000 msec
(noperiph:siisch0:0:-1:-1): rescan already queued
(noperiph:siisch2:0:-1:-1): rescan already queued
(noperiph:siisch3:0:-1:-1): rescan already queued
(noperiph:siisch4:0:-1:-1): rescan already queued
(noperiph:siisch6:0:-1:-1): rescan already queued
(noperiph:siisch7:0:-1:-1): rescan already queued
(noperiph:siisch8:0:-1:-1): rescan already queued
(noperiph:siisch10:0:-1:-1): rescan already queued
(noperiph:siisch11:0:-1:-1): rescan already queued
usbus0: 480Mbps High Speed USB v2.0
usbus1: 480Mbps High Speed USB v2.0
ugen0.1: <Intel> at usbus0
uhub0: <Intel EHCI root HUB, class 9/0, rev 2.00/1.00, addr 1> on usbus0
ugen1.1: <Intel> at usbus1
uhub1: <Intel EHCI root HUB, class 9/0, rev 2.00/1.00, addr 1> on usbus1
pmp0 at siisch0 bus 0 scbus0 target 15 lun 0
pmp0: <Port Multiplier 37261095 1706> ATA-0 device
pmp0: 300.000MB/s transfers (SATA 2.x, NONE, PIO 8192bytes)
pmp0: 5 fan-out ports
pmp1 at siisch2 bus 0 scbus2 target 15 lun 0
pmp1: <Port Multiplier 37261095 1706> ATA-0 device
pmp1: 300.000MB/s transfers (SATA 2.x, NONE, PIO 8192bytes)
pmp2 at siisch3 bus 0 scbus3 target 15 lun 0
pmp2: <Port Multiplier 37261095 1706> ATA-0 device
pmp2: 300.000MB/s transfers (SATA 2.x, NONE, PIO 8192bytes)
pmp1: 5 fan-out ports
pmp3 at siisch4 bus 0 scbus4 target 15 lun 0
pmp3: <Port Multiplier 37261095 1706> ATA-0 device
pmp3: 300.000MB/s transfers (SATA 2.x, NONE, PIO 8192bytes)
pmp2: 5 fan-out ports
pmp3: 5 fan-out ports
pmp4 at siisch6 bus 0 scbus6 target 15 lun 0
pmp4: <Port Multiplier 37261095 1706> ATA-0 device
pmp4: 300.000MB/s transfers (SATA 2.x, NONE, PIO 8192bytes)
pmp5 at siisch7 bus 0 scbus7 target 15 lun 0
pmp5: <Port Multiplier 37261095 1706> ATA-0 device
pmp5: 300.000MB/s transfers (SATA 2.x, NONE, PIO 8192bytes)
pmp6 at siisch8 bus 0 scbus8 target 15 lun 0
pmp6: <Port Multiplier 37261095 1706> ATA-0 device
pmp6: 300.000MB/s transfers (SATA 2.x, NONE, PIO 8192bytes)
pmp7 at siisch10 bus 0 scbus10 target 15 lun 0
pmp7: <Port Multiplier 37261095 1706> ATA-0 device
pmp7: 300.000MB/s transfers (SATA 2.x, NONE, PIO 8192bytes)
pmp8 at siisch11 bus 0 scbus11 target 15 lun 0
pmp8: <Port Multiplier 37261095 1706> ATA-0 device
pmp8: 300.000MB/s transfers (SATA 2.x, NONE, PIO 8192bytes)
pmp4: 5 fan-out ports
pmp5: 5 fan-out ports
pmp6: 5 fan-out ports
pmp7: 5 fan-out ports
pmp8: 5 fan-out ports
uhub0: 2 ports with 2 removable, self powered
uhub1: 2 ports with 2 removable, self powered
ada0 at siisch0 bus 0 scbus0 target 0 lun 0
ada0: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada0: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada0: Command Queueing enabled
ada0: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada0: Previously was known as ad4
ada1 at siisch0 bus 0 scbus0 target 1 lun 0
ada1: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada1: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada1: Command Queueing enabled
ada1: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada1: Previously was known as ad5
ada2 at siisch0 bus 0 scbus0 target 2 lun 0
ada2: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada2: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada2: Command Queueing enabled
ada2: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada3 at siisch0 bus 0 scbus0 target 3 lun 0
ada3: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada3: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada3: Command Queueing enabled
ada3: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada4 at siisch0 bus 0 scbus0 target 4 lun 0
ada4: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada4: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada4: Command Queueing enabled
ada4: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada5 at siisch2 bus 0 scbus2 target 0 lun 0
ada5: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada5: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada5: Command Queueing enabled
ada5: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada5: Previously was known as ad8
ada6 at siisch2 bus 0 scbus2 target 1 lun 0
ada6: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada6: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada6: Command Queueing enabled
ada6: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada6: Previously was known as ad9
ada7 at siisch2 bus 0 scbus2 target 2 lun 0
ada7: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada7: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada7: Command Queueing enabled
ada7: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada8 at siisch2 bus 0 scbus2 target 3 lun 0
ada8: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada8: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada8: Command Queueing enabled
ada8: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada9 at siisch2 bus 0 scbus2 target 4 lun 0
ada9: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada9: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada9: Command Queueing enabled
ada9: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada10 at siisch3 bus 0 scbus3 target 0 lun 0
ada10: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada10: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada10: Command Queueing enabled
ada10: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada10: Previously was known as ad10
ada11 at siisch3 bus 0 scbus3 target 1 lun 0
ada11: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada11: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada11: Command Queueing enabled
ada11: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada11: Previously was known as ad11
ada12 at siisch3 bus 0 scbus3 target 2 lun 0
ada12: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada12: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada12: Command Queueing enabled
ada12: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada13 at siisch3 bus 0 scbus3 target 3 lun 0
ada13: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada13: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada13: Command Queueing enabled
ada13: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada14 at siisch3 bus 0 scbus3 target 4 lun 0
ada14: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada14: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada14: Command Queueing enabled
ada14: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada15 at siisch4 bus 0 scbus4 target 0 lun 0
ada15: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada15: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada15: Command Queueing enabled
ada15: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada15: Previously was known as ad12
ada16 at siisch4 bus 0 scbus4 target 1 lun 0
ada16: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada16: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada16: Command Queueing enabled
ada16: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada16: Previously was known as ad13
ada17 at siisch4 bus 0 scbus4 target 2 lun 0
ada17: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada17: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada17: Command Queueing enabled
ada17: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada18 at siisch4 bus 0 scbus4 target 3 lun 0
ada18: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada18: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada18: Command Queueing enabled
ada18: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada19 at siisch4 bus 0 scbus4 target 4 lun 0
ada19: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada19: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada19: Command Queueing enabled
ada19: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada20 at siisch6 bus 0 scbus6 target 0 lun 0
ada20: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada20: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada20: Command Queueing enabled
ada20: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada20: Previously was known as ad16
ada21 at siisch6 bus 0 scbus6 target 1 lun 0
ada21: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada21: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada21: Command Queueing enabled
ada21: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada21: Previously was known as ad17
ada22 at siisch6 bus 0 scbus6 target 2 lun 0
ada22: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada22: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada22: Command Queueing enabled
ada22: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada23 at siisch6 bus 0 scbus6 target 3 lun 0
ada23: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada23: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada23: Command Queueing enabled
ada23: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada24 at siisch6 bus 0 scbus6 target 4 lun 0
ada24: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada24: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada24: Command Queueing enabled
ada24: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada25 at siisch7 bus 0 scbus7 target 0 lun 0
ada25: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada25: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada25: Command Queueing enabled
ada25: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada25: Previously was known as ad18
ada26 at siisch7 bus 0 scbus7 target 1 lun 0
ada26: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada26: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada26: Command Queueing enabled
ada26: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada26: Previously was known as ad19
ada27 at siisch7 bus 0 scbus7 target 2 lun 0
ada27: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada27: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada27: Command Queueing enabled
ada27: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada28 at siisch7 bus 0 scbus7 target 3 lun 0
ada28: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada28: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada28: Command Queueing enabled
ada28: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada29 at siisch7 bus 0 scbus7 target 4 lun 0
ada29: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada29: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada29: Command Queueing enabled
ada29: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada30 at siisch8 bus 0 scbus8 target 0 lun 0
ada30: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada30: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada30: Command Queueing enabled
ada30: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada30: Previously was known as ad20
ada31 at siisch8 bus 0 scbus8 target 1 lun 0
ada31: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada31: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada31: Command Queueing enabled
ada31: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada31: Previously was known as ad21
ada32 at siisch8 bus 0 scbus8 target 2 lun 0
ada32: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada32: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada32: Command Queueing enabled
ada32: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada33 at siisch8 bus 0 scbus8 target 3 lun 0
ada33: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada33: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada33: Command Queueing enabled
ada33: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada34 at siisch8 bus 0 scbus8 target 4 lun 0
ada34: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada34: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada34: Command Queueing enabled
ada34: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada35 at siisch10 bus 0 scbus10 target 0 lun 0
ada35: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada35: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada35: Command Queueing enabled
ada35: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada35: Previously was known as ad24
ada36 at siisch10 bus 0 scbus10 target 1 lun 0
ada36: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada36: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada36: Command Queueing enabled
ada36: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada36: Previously was known as ad25
ada37 at siisch10 bus 0 scbus10 target 2 lun 0
ada37: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada37: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada37: Command Queueing enabled
ada37: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada38 at siisch10 bus 0 scbus10 target 3 lun 0
ada38: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada38: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada38: Command Queueing enabled
ada38: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada39 at siisch10 bus 0 scbus10 target 4 lun 0
ada39: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada39: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada39: Command Queueing enabled
ada39: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada40 at siisch11 bus 0 scbus11 target 0 lun 0
ada40: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada40: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada40: Command Queueing enabled
ada40: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada40: Previously was known as ad26
ada41 at siisch11 bus 0 scbus11 target 1 lun 0
ada41: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada41: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada41: Command Queueing enabled
ada41: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada41: Previously was known as ad27
ada42 at siisch11 bus 0 scbus11 target 2 lun 0
ada42: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada42: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada42: Command Queueing enabled
ada42: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada43 at siisch11 bus 0 scbus11 target 3 lun 0
ada43: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada43: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada43: Command Queueing enabled
ada43: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada44 at siisch11 bus 0 scbus11 target 4 lun 0
ada44: <Hitachi HDS5C3030ALA630 MEAOA580> ATA-8 SATA 3.x device
ada44: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada44: Command Queueing enabled
ada44: 2861588MB (5860533168 512 byte sectors: 16H 63S/T 16383C)
ada45 at ahcich0 bus 0 scbus12 target 0 lun 0
ada45: <WDC WD1600AAJS-56M0A0 01.03E01> ATA-8 SATA 2.x device
ada45: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada45: Command Queueing enabled
ada45: 152627MB (312581808 512 byte sectors: 16H 63S/T 16383C)
ada45: Previously was known as ad28
ada46 at ahcich4 bus 0 scbus16 target 0 lun 0
ada46: <M4-CT064M4SSD2 0009> ATA-9 SATA 3.x device
ada46: 300.000MB/s transfers (SATA 2.x, UDMA5, PIO 8192bytes)
ada46: Command Queueing enabled
ada46: 61057MB (125045424 512 byte sectors: 16H 63S/T 16383C)
ada46: Previously was known as ad36
ada47 at ahcich5 bus 0 scbus17 target 0 lun 0
ada47: <M4-CT064M4SSD2 0009> ATA-9 SATA 3.x device
ada47: 300.000MB/s transfers (SATA 2.x, UDMA5, PIO 8192bytes)
ada47: Command Queueing enabled
ada47: 61057MB (125045424 512 byte sectors: 16H 63S/T 16383C)
ada47: Previously was known as ad38
SMP: AP CPU #1 Launched!
SMP: AP CPU #3 Launched!
SMP: AP CPU #2 Launched!
Timecounter "TSC-low" frequency 11979402 Hz quality 1000
WARNING: WITNESS option enabled, expect reduced performance.
ugen0.2: <vendor 0x8087> at usbus0
uhub2: <vendor 0x8087 product 0x0020, class 9/0, rev 2.00/0.00, addr 2> on usbus0
ugen1.2: <vendor 0x8087> at usbus1
uhub3: <vendor 0x8087 product 0x0020, class 9/0, rev 2.00/0.00, addr 2> on usbus1
uhub2: 6 ports with 6 removable, self powered
uhub3: 8 ports with 8 removable, self powered
ugen0.3: <Winbond Electronics Corp> at usbus0
ums0: <Winbond Electronics Corp Hermon USB hidmouse Device, class 0/0, rev 1.10/0.01, addr 3> on usbus0
ums0: 3 buttons and [Z] coordinates ID=0
ukbd0: <Winbond Electronics Corp Hermon USB hidmouse Device, class 0/0, rev 1.10/0.01, addr 3> on usbus0
kbd2 at ukbd0
Trying to mount root from ufs:/dev/ada45p2 [rw]...
ZFS filesystem version 5
ZFS storage pool version 28
em1: link state changed to UP
vlan7: link state changed to UP
em0: link state changed to UP
lock order reversal:
 1st 0xffffff81eda73618 bufwait (bufwait) @ /usr/src/sys/kern/vfs_bio.c:2658
 2nd 0xfffffe0017b37200 dirhash (dirhash) @ /usr/src/sys/ufs/ufs/ufs_dirhash.c:284
KDB: stack backtrace:
db_trace_self_wrapper() at db_trace_self_wrapper+0x2a
kdb_backtrace() at kdb_backtrace+0x37
_witness_debugger() at _witness_debugger+0x2e
witness_checkorder() at witness_checkorder+0x807
_sx_xlock() at _sx_xlock+0x55
ufsdirhash_acquire() at ufsdirhash_acquire+0x33
ufsdirhash_add() at ufsdirhash_add+0x19
ufs_direnter() at ufs_direnter+0x909
ufs_makeinode() at ufs_makeinode+0x26a
VOP_CREATE_APV() at VOP_CREATE_APV+0x8d
vn_open_cred() at vn_open_cred+0x46a
kern_openat() at kern_openat+0x1f9
syscallenter() at syscallenter+0x1aa
syscall() at syscall+0x4c
Xfast_syscall() at Xfast_syscall+0xdd
--- syscall (5, FreeBSD ELF64, open), rip = 0x800dc7f2c, rsp = 0x7fffffffccd8, rbp = 0x1 ---
lock order reversal:
 1st 0xfffffe00b231a278 ufs (ufs) @ /usr/src/sys/kern/vfs_subr.c:2134
 2nd 0xffffff81eda73618 bufwait (bufwait) @ /usr/src/sys/ufs/ffs/ffs_vnops.c:260
 3rd 0xfffffe0017dd7bd8 ufs (ufs) @ /usr/src/sys/kern/vfs_subr.c:2134
KDB: stack backtrace:
db_trace_self_wrapper() at db_trace_self_wrapper+0x2a
kdb_backtrace() at kdb_backtrace+0x37
_witness_debugger() at _witness_debugger+0x2e
witness_checkorder() at witness_checkorder+0x807
__lockmgr_args() at __lockmgr_args+0xdc6
ffs_lock() at ffs_lock+0x8c
VOP_LOCK1_APV() at VOP_LOCK1_APV+0x9b
_vn_lock() at _vn_lock+0x47
vget() at vget+0x7b
vfs_hash_get() at vfs_hash_get+0xd5
ffs_vgetf() at ffs_vgetf+0x48
softdep_sync_buf() at softdep_sync_buf+0x547
ffs_syncvnode() at ffs_syncvnode+0x2b3
ffs_truncate() at ffs_truncate+0x477
ufs_direnter() at ufs_direnter+0x73b
ufs_makeinode() at ufs_makeinode+0x26a
VOP_CREATE_APV() at VOP_CREATE_APV+0x8d
vn_open_cred() at vn_open_cred+0x46a
kern_openat() at kern_openat+0x1f9
syscallenter() at syscallenter+0x1aa
syscall() at syscall+0x4c
Xfast_syscall() at Xfast_syscall+0xdd
--- syscall (5, FreeBSD ELF64, open), rip = 0x800dc7f2c, rsp = 0x7fffffffccd8, rbp = 0x1 ---

Fix: 

fsck without journal
How-To-Repeat: Unknown
Comment 1 Gavin Atkinson freebsd_committer freebsd_triage 2011-10-08 09:13:45 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-fs

Over to maintainer(s). 

To submitter: there have been several fixes to the SU+J code committed 
since 9.0-BETA2, which may well fix the issues you are seeing.  Are you 
able to retest?
Comment 2 Ed Maste freebsd_committer 2013-04-08 14:13:16 UTC
State Changed
From-To: open->feedback

Feedback has been requested from submitter
Comment 3 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 07:59:02 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped